<div class="banner">
  <div class="middle  text-center">
    <div class="navbar-form navbar-left">
      <h1>Welcome to Shutter Lab</h1>
      <div class="form-group">
        <input type="text" class="form-control" placeholder="Search An Event" [(ngModel)]="data.searchText">
      </div>
      <button type="submit" class="btn btn-primary" [routerLink]="['/event-list']">Search {{data.currentCity!='Cities'? "for "+data.currentCity :"" }} </button>
    </div>
  </div>
</div>

<div class="container">
  <div class="text-center ">
    <h1>Upcoming Events</h1>
  </div>
  <hr>

  <div class="slideshow-tabs">
    <span class="slideshow-links" *ngFor="let category of data.eventCategories; let i=index" [ngClass]="{'slideshow-links-hover': i==data.selectedCategoryId}">
      <span (click)="data.changeCategoryId(i)">
          <a class="active ">{{category.name}}</a>
      </span>    
    </span>
  </div>
  <hr>

  <div class="row">

    <div class="col-sm-6 col-md-4" *ngFor="let event of data.allEvents|async  | filter:data.currentCity:data.searchText:data.selectedCategoryId; let i=index">
      <div class="thumbnail" *ngIf="i<6">
        <div class="bg-cover" [style.background]="'url('+event.imgDisplay+')'">
          <!-- <img src="{{event.imgDisplay}}" alt="{{event.title}}"> -->
        </div>
        <div class="caption">
          <h5>{{(event.name.length>22)? (event.name | slice:0:22)+'..':(event.name)}}</h5>
          <!-- <p [innerHTML]="event.description"></p> -->
          <p>
            <a class="btn btn-default" role="button" (click)="data.visitEvent(event)">Know More</a>
            <a class="btn btn-success" role="button" (click)="data.visitBookEvent(event)">Book Now</a>
          </p>
        </div>
      </div>
    </div>

  </div>
  <hr>

</div>